/**
 * Analytics API v1 (OpenAPI: 3.0.1)
 *
 *
 * NOTE: This class is auto generated by openapi-typescript-client-api-generator.
 * Do not edit the file manually.
 */

import {WorkerResponse} from "./workerResponse";
import {SubContractorResponse} from "./subContractorResponse";
import {AlertPrincipalResponse} from "./alertPrincipalResponse";
import {FloorResponse} from "./floorResponse";
import {FloorPlanResponse} from "./floorPlanResponse";
import {TagResponse} from "./tagResponse";
import {ZoneResponse} from "./zoneResponse";
import {PointFResponse} from "./pointFResponse";

export class WorkerAlertResponse {
    public worker: WorkerResponse;

    public subContractor: SubContractorResponse;

    public alert: AlertPrincipalResponse;

    public floor: FloorResponse;

    public floorPlan: FloorPlanResponse;

    public tag: TagResponse;

    public zone: ZoneResponse;

    public position: PointFResponse;

    /**
     * Creates a WorkerAlertResponse.
     *
     * @param {WorkerResponse} worker
     * @param {SubContractorResponse} subContractor
     * @param {AlertPrincipalResponse} alert
     * @param {FloorResponse} floor
     * @param {FloorPlanResponse} floorPlan
     * @param {TagResponse} tag
     * @param {ZoneResponse} zone
     * @param {PointFResponse} position
     */
    constructor(worker: WorkerResponse, subContractor: SubContractorResponse, alert: AlertPrincipalResponse, floor: FloorResponse, floorPlan: FloorPlanResponse, tag: TagResponse, zone: ZoneResponse, position: PointFResponse) {
        this.worker = worker;
        this.subContractor = subContractor;
        this.alert = alert;
        this.floor = floor;
        this.floorPlan = floorPlan;
        this.tag = tag;
        this.zone = zone;
        this.position = position;
    }
}
